install_packages(8)

NAME
install_packages - install FAI configured packages

SYNOPSIS
install_packages

DESCRIPTION
This command is only called internally by FAI and not directly by the user. install_packages is a Perl script written for FAI to selectively install, hold, remove, or purge packages or tasks. Its function is to parse the package_config files based on the class definitions of the client. For example, if the client belonged to the SMTPSERVER class, install_packages would parse ../package_config/SMTPSERVER for instructions on what packages to install, hold, remove, or purge.

OPTIONS

-c  Check the list of packages if they are known, then exit. This only works for deb packages.

-d  Only download packages instead of installing them. Variable $aptoptions must be set.

-h  Show help, version and summary of options.

-G  Generic mode. Use when install_packages is called by fai-mirror (using -IG) to create a generic package mirror for different combinations of the class list. This option ignores the logical not operator on PACKAGES lines and ignores package with suffix - (like packagename-) and only makes sense in download mode.

-H  Show list of all available commands for the file in package_config.

-l  Print only the list of all packages that would be installed, then exit.

-L  Print the list of all packages with version number that would be installed, then exit.

-m MAX
    Install only MAX packages at a time. Same as setting the shell environment variable MAXPACKAGES.

-n  Dry run. Do not execute installation commands, just print them.

-N  Do not check package names whether they are valid and remove unknown packages from the list. You can also set the variable FAI_DISABLE_PACKAGE_NAME_CHECK to 1.

-P  Print the URIs of all packages that needs download. Only usefull when also using -d.

-p DIRECTORY
    Read the configuration files from DIRECTORY instead of $FAI/packages_config.

-s  Download source of binary packages that are installed. Currently supported only for apt-get/aptitude based installations.

-v  Be verbose.

NOTES
install_packages expects to find the FAI_ROOT directory, the location of class definitions, package configurations, and custom install scripts, somewhere in the filesystem.

SEE ALSO
apt(1), aptitude(8), apt-get(8), dpkg(8), tasksel(1) This program is part of FAI (Fully Automatic Installation). See the FAI manual for more information on how to use install_packages. The FAI homepage is https://fai-project.org.

FILES
The FAI package configuration directory.

AUTHOR
Thomas Lange <lange@cs.uni-koeln.de>